<?
if(isset($_GET['taxi']) && isset($_GET['cultivator_all']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_ground` WHERE `id_user` = '$ku[id]' AND `id_plant` = '0' AND (`time` = '$time' OR `time` < '$time') AND `wash` = '0'"),0)!=5 && $ku['cultivator']>0)
{
$rat=1;
$rat_drakon_act=2;
$rat_sc_act=1;
$rat_lib_act=5;
if(isset($sc_act))$rat_sc_act=$rat*2;
$rat_cultivator_act=(($rat/100)*$cultivator_act);
if(isset($drakon_act))$rat_drakon_act=((2/100)*300);
if(isset($lib_act))$rat_lib_act=$rat/2;
if(isset($shmel_act))$rat_cultivator_act=$rat_cultivator_act*2;
$ratt=$rat_drakon_act+$rat_sc_act+$rat_cultivator_act+$rat_school_act+$rat_lib_act;
if($ratt==5)$rat=$rat;
else $rat=$ratt;
if(isset($dexp))$rat=$rat*2;
$orat=0;
$q=mysql_query("SELECT * FROM `kolhoz_ground` WHERE `id_user` = '$ku[id]' AND `id_plant` = '0' AND (`time` = '$time' OR `time` < '$time') AND `wash` = '0'");
while($post=mysql_fetch_array($q))
{
mysql_query("UPDATE `kolhoz_ground` SET `wash` = '1' WHERE `id` = '$post[id]' LIMIT 1");
mysql_query("UPDATE `kolhoz_user` SET `rating` = '".($ku['rating']+$rat)."' WHERE `id` = '$ku[id]'");
$orat=$rat+$orat;
}
$_SESSION['rating']=$orat;
update_mc($orat);
header("Location:?taxi&".passgen());
exit;
}
?>